Docs
Api reference

Stripe

POST
/api/stripe/create-checkout-session

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/stripe/create-checkout-session" \  -H "Content-Type: application/json" \  -d '{    "plan": "monthly"  }'
{  "success": true,  "url": "string"}
GET
/api/stripe/verify-session

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

session_id*string
Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/api/stripe/verify-session?session_id=string"
{  "success": true,  "status": "string"}
POST
/api/stripe/create-portal-session

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X POST "https://example.com/api/stripe/create-portal-session"
{  "success": true,  "url": "string"}
GET
/api/stripe/plans

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/stripe/plans"
{  "plans": [    null  ]}